Bug 600325 - Emacs editor pane freezes periodically
Emacs editor pane freezes periodically
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 08:52 EDT by James Ettle
Modified: 2013-03-03 18:01 EST (History)
8 users (show)

See Also:
Fixed In Version: emacs-23.3-7.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-11 16:55:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ettle 2010-06-04 08:52:17 EDT
Description of problem:
The editor component of Emacs windows seems to freeze periodically: text may not be edited or selected for around 10 seconds. I don't know yet what specifically triggers this (or exactly when it happens). Other elements of the UI (toolbar, menu, scrollbars) remain responsive. Nothing's showed up in ~/.xsession-errors.

Version-Release number of selected component (if applicable):
emacs-23.2-1.fc13.x86_64

How reproducible:
Frequently.

Steps to Reproduce:
1. Edit stuff.
2. Wait.
Comment 1 Karel Klíč 2010-06-04 09:02:19 EDT
Hello,
does it freeze also when started using "emacs --no-init-file --no-site-file"?

It might be caused by semantic, but semantic is not started automatically.
Comment 2 Terje Røsten 2010-06-28 14:02:29 EDT
I also see this problem, home dirs on nfs, LDAP+sssd auth. 

James, do you have a local disk and/or local auth?

emacs-23.2-1.fc13.x86_64
Comment 3 Terje Røsten 2010-07-07 13:54:59 EDT
More info from a local user, to trigger the freeze emacs should be running for a good while, then
suddenly the mini-buffer shows

 Removing duplicates ... done.

and the main window freeze. 

A way to wake up emacs again, is to try to visit a another file with C-x C-f, then emacs unfreeze
and the primary file can be worked on again. I don't think --no-init-file --no-site-file matters.
Comment 4 Josh Cogliati 2010-09-22 11:11:01 EDT
I get a bug like this commonly as well.  I didn't get the Removing duplicates message though.
Comment 5 Josh Cogliati 2010-09-22 12:27:09 EDT
It still occurs with:
emacs-23.2-4.fc13.x86_64
with 
emacs --no-init-file --no-site-file

To wake emacs up, I need to use the menu bar with the mouse.
Comment 6 Josh Cogliati 2010-12-03 12:16:35 EST
I have the toolbar turned off, but I was running with it on one day, and I noticed that I get the same symptoms if the toolbar gets selected.  The keyboard input then switches between buttons in the toolbar, so it looks like the rest of emacs is frozen.
Comment 7 Josh Cogliati 2010-12-23 10:58:29 EST
Here is how to replicate it:
Start up emacs in X11:

emacs --no-init-file --no-site-file

Click on the menubar right of the "Help"

Watch emacs freeze.  

This is also filed as:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7714
Comment 8 Josh Cogliati 2010-12-27 22:52:10 EST
I was told that this bug is:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6499
and is fixed in the version of emacs that will be 23.3.
Comment 9 Josh Cogliati 2011-03-29 14:36:18 EDT
This is fixed in the currently released emacs 23.3.  This bug could be fixed in Fedora by upgrading to that version of emacs.
Comment 10 Bug Zapper 2011-06-02 08:04:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Josh Cogliati 2011-06-02 08:17:50 EDT
This bug is definitely still in Fedora 14.  I think it is in Fedora 15 as well, since Fedora 15 is still using Emacs 23.2.  It is probably not in rawhide since rawhide is using Emacs 23.3.
Comment 12 Bug Zapper 2011-06-27 13:31:28 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 James Ettle 2011-07-04 17:44:08 EDT
Reopening as it's in Fedora 15, emacs-23.2-19.fc15.x86_64. "ASSIGNED" is not an appropriate status, can someone reset it or should a new bug be filed?
Comment 14 Julius Smith 2011-08-09 02:38:59 EDT
I can affirm that it's biting frequently in Fedora 15 (emacs v23.2.1).  It looks like a stuck thread problem (for the editor pane) that seems to happen often when switching focus from the editor pane to the window frame by means other than selecting a menu item on the window frame (which reliably enables the mouse to switch focus back to the editor pane).  

I had an interesting instance just now in which I wanted to resize my window from half screen to full screen, and after the resize, the editor pane was not only frozen, but it was still wrapped at half screen.  When I selected a window-frame menu item, the text immediately then rewrapped to full-screen width.  Thus, the editor frame thread apparently never ran at all starting when the mouse selected the window frame for resizing by dragging to the top and releasing.

Could the 23.3 patch be applied to 23.2 to see if that fixes it?
Comment 15 Josh Cogliati 2011-08-09 22:10:08 EDT
I am curious, why can't Fedora 15 just get Emacs 23.3?
Comment 16 Akira TAGOH 2011-11-16 04:20:42 EST
I'm not sure if I'm facing same problem because I can easily reproduce it on even 23.3 on f16 and interestingly it seems happens on GNOME only. at least it works fine on KDE say.

Steps to reproduce:
1. run emacs -q --no-site-file
2. press C-z to iconify
3. deiconify the emacs window from the dash
Comment 17 Akira TAGOH 2011-11-16 04:22:43 EST
forgot to mention this: it still works if iconifying from the window manager, such as "minimize" from the window menu.
Comment 18 Akira TAGOH 2011-11-16 04:32:20 EST
Hmm, maybe "freeze" isn't the right word here, because emacs still accepts the input. I can destroy it with C-x C-c say.
Comment 19 Karel Klíč 2011-11-22 11:58:39 EST
(In reply to comment #14)
> Could the 23.3 patch be applied to 23.2 to see if that fixes it?

The patch would be too fragile I'm afaraid.

(In reply to comment #15)
> I am curious, why can't Fedora 15 just get Emacs 23.3?

I apologize for forgetting about this bug for such a long time.

It was too risky to include Emacs 23.3 to Fedora 15 back then, as new Emacs release usually brings some serious regression. However, no problems specific to Emacs 23.3 were discovered so far. I'm going to prepare an update to Fedora 15 shortly.
Comment 20 Karel Klíč 2011-11-22 12:02:36 EST
(In reply to comment #18)
> Hmm, maybe "freeze" isn't the right word here, because emacs still accepts the
> input. I can destroy it with C-x C-c say.

This seems to be bug #721183 - emacs window won't redraw until resize after iconify with ctrl-z and uniconify
Comment 21 Fedora Update System 2011-11-22 12:38:09 EST
emacs-23.3-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/emacs-23.3-7.fc15
Comment 22 Fedora Update System 2011-11-22 19:55:00 EST
Package emacs-23.3-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-23.3-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16246/emacs-23.3-7.fc15
then log in and leave karma (feedback).
Comment 23 Josh Cogliati 2011-12-09 17:48:48 EST
The update emacs-23.3-7.fc15 works for me and fixes this bug.
Comment 24 Fedora Update System 2011-12-11 16:55:43 EST
emacs-23.3-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.